Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Interface UserManagementTagConstants

All Known Implementing Classes:
  UserManagementTag

public interface UserManagementTagConstants

Constants that represent the success/failure codes for most tag operations. These are the values returned by the "result" parameter of the User Management tags.

Field Summary
`static int` | `ADD_GROUP_FAILED` An error occured while trying to add the group
`static int` | `ADD_GROUP_OK` The group was added successfully
`static int` | `ADD_USER_FAILED` An error occured while trying to add the user
`static int` | `ADD_USER_OK` The user was added successfully
`static int` | `CREATE_GROUP_FAILED` An error occured while trying to create the group
`static int` | `CREATE_GROUP_OK` The group was created successfully
`static int` | `CREATE_USER_FAILED` An error occured while creating the user
`static int` | `CREATE_USER_OK` The user was created successfully
`static java.lang.String` | `DEFAULT_SEARCH_EXP` Default search expression - a wildcard
`static int` | `DEFAULT_USER_LIMIT` The default search limit for user/group searches
`static int` | `GET_PROFILE_FAILED` The profile retrieval failed
`static int` | `GET_PROFILE_OK` The profile retrieval succeeded
`static int` | `GROUP_CHANGE_FAILED` An error occured while trying to modify the group
`static int` | `GROUP_CHANGE_OK` The group was modified successfully
`static int` | `GROUP_EXISTS` The group already exists, and could not be created
`static int` | `GROUP_SAME_AS_USER` The group could not be created because the name specified is already thename of a user
`static int` | `LOGIN_ERROR` An error occured while trying to authenticate the user
`static int` | `LOGIN_FAILED` The user did not authenticate successfully
`static int` | `LOGIN_OK` The user authenticated successfully
`static int` | `NO_SUCH_PROFILE` The profile retrieval found no record for the profile key
`static int` | `NO_SUCH_SUCCESSOR` The profile retrieval found no record for the profile successor key
`static int` | `REMOVE_GROUP_FAILED` An error occured while trying to remove the group
`static int` | `REMOVE_GROUP_OK` The group was removed successfully
`static int` | `REMOVE_USER_FAILED` An error occured while removing the user
`static int` | `REMOVE_USER_OK` The user was removed successfully
`static int` | `RESERVED_GROUP_NAME` The group could not be created because the name is reserved by the system
`static int` | `RESERVED_USER_NAME` The user could not be created because the name is reserved by the system
`static int` | `SET_PASSWORD_FAILED` An error occured while trying to set the user's password
`static int` | `SET_PASSWORD_OK` The user's password was set successfully
`static int` | `SET_PROPERTY_FAILED` The set property call failed
`static int` | `SET_PROPERTY_OK` The set property call worked
`static int` | `USER_EXISTS` The user already exists, and could not be created
`static int` | `USER_LIMIT_EXCEEDED` Deprecated. Tags will no longer return this value; the search results will just be truncated
`static int` | `USER_SAME_AS_GROUP` The user could not be created because the name specified is already the name of a group
`static int` | `USER_SEARCH_FAILED` An error occured while trying to search for users
`static int` | `USER_SEARCH_OK` The user search was successful

Field Detail

### LOGIN_OK

    public static final int LOGIN_OK

  The user authenticated successfully

### LOGIN_FAILED

    public static final int LOGIN_FAILED

  The user did not authenticate successfully

### LOGIN_ERROR

    public static final int LOGIN_ERROR

  An error occured while trying to authenticate the user

### CREATE_USER_OK

    public static final int CREATE_USER_OK

  The user was created successfully

### CREATE_USER_FAILED

    public static final int CREATE_USER_FAILED

  An error occured while creating the user

### REMOVE_USER_OK

    public static final int REMOVE_USER_OK

  The user was removed successfully

### REMOVE_USER_FAILED

    public static final int REMOVE_USER_FAILED

  An error occured while removing the user

### USER_EXISTS

    public static final int USER_EXISTS

  The user already exists, and could not be created

### ADD_USER_OK

    public static final int ADD_USER_OK

  The user was added successfully

### ADD_USER_FAILED

    public static final int ADD_USER_FAILED

  An error occured while trying to add the user

### USER_SEARCH_OK

    public static final int USER_SEARCH_OK

  The user search was successful

### USER_SEARCH_FAILED

    public static final int USER_SEARCH_FAILED

  An error occured while trying to search for users

### USER_LIMIT_EXCEEDED

    public static final int USER_LIMIT_EXCEEDED

  Deprecated. Tags will no longer return this value; the search results will just be truncated
  The user search limit was exceeded

### SET_PASSWORD_OK

    public static final int SET_PASSWORD_OK

  The user's password was set successfully

### SET_PASSWORD_FAILED

    public static final int SET_PASSWORD_FAILED

  An error occured while trying to set the user's password

### RESERVED_USER_NAME

    public static final int RESERVED_USER_NAME

  The user could not be created because the name is reserved by the system

### GET_PROFILE_OK

    public static final int GET_PROFILE_OK

  The profile retrieval succeeded

### GET_PROFILE_FAILED

    public static final int GET_PROFILE_FAILED

  The profile retrieval failed

### NO_SUCH_PROFILE

    public static final int NO_SUCH_PROFILE

  The profile retrieval found no record for the profile key

### NO_SUCH_SUCCESSOR

    public static final int NO_SUCH_SUCCESSOR

  The profile retrieval found no record for the profile successor key

### SET_PROPERTY_OK

    public static final int SET_PROPERTY_OK

  The set property call worked

### SET_PROPERTY_FAILED

    public static final int SET_PROPERTY_FAILED

  The set property call failed

### USER_SAME_AS_GROUP

    public static final int USER_SAME_AS_GROUP

  The user could not be created because the name specified is already the name of a group

### DEFAULT_USER_LIMIT

    public static final int DEFAULT_USER_LIMIT

  The default search limit for user/group searches

### CREATE_GROUP_OK

    public static final int CREATE_GROUP_OK

  The group was created successfully

### CREATE_GROUP_FAILED

    public static final int CREATE_GROUP_FAILED

  An error occured while trying to create the group

### REMOVE_GROUP_OK

    public static final int REMOVE_GROUP_OK

  The group was removed successfully

### REMOVE_GROUP_FAILED

    public static final int REMOVE_GROUP_FAILED

  An error occured while trying to remove the group

### GROUP_EXISTS

    public static final int GROUP_EXISTS

  The group already exists, and could not be created

### ADD_GROUP_OK

    public static final int ADD_GROUP_OK

  The group was added successfully

### ADD_GROUP_FAILED

    public static final int ADD_GROUP_FAILED

  An error occured while trying to add the group

### GROUP_CHANGE_OK

    public static final int GROUP_CHANGE_OK

  The group was modified successfully

### GROUP_CHANGE_FAILED

    public static final int GROUP_CHANGE_FAILED

  An error occured while trying to modify the group

### RESERVED_GROUP_NAME

    public static final int RESERVED_GROUP_NAME

  The group could not be created because the name is reserved by the system

### GROUP_SAME_AS_USER

    public static final int GROUP_SAME_AS_USER

  The group could not be created because the name specified is already thename of a user

### DEFAULT_SEARCH_EXP

    public static final java.lang.String DEFAULT_SEARCH_EXP

  Default search expression - a wildcard

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved